<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	<script type="text/javascript">
		let caja=function(a,b,c){
			
			//propiedad privada
			let unidad="px";

			//propiedades publicas
			this.ancho=a;
			this.alto=b;
			this.texto=c;

			//metodo privado
			function concatenar(){
				this.ancho=this.ancho+unidad;
				this.alto=this.alto+unidad;
			};

			//metodos publicos
			this.mensaje=function(){
				this.texto="esto es un ejemplo";
			};

			this.mostrar=function(){
				alert(this.texto);
			};
		};
	</script>
</head>
<body>
	
</body>
</html>